Skip to content

Instantly share code, notes, and snippets.

@Nokius Nokius/output Secret

Last active Sep 29, 2016
Embed
What would you like to do?
[SFOS] r7plus aarch64
sudo zypper in http://repo.merproject.org/obs/mer-core:/aarch64:/devel:/fixup/Core_aarch64/i486/libzypp-bindings-debugsource-0.6.4-1.1.Mer.i486.rpm
Problem: mic-0.14+jolla.20160320120438.bb6c347-1.3.1.noarch requires python-zypp >= 0.5.9.1, but this requirement cannot be provided
uninstallable providers: python-zypp-0.5.9.1-1.3.1.3.i486[mer-tools]
Solution 1: Following actions will be done:
downgrade of libzypp-14.35.0-1.9.17.i486 to libzypp-12.2.0-1.1.13.i486
downgrade of libsolv0-0.6.8-1.7.2.i486 to libsolv0-0.1.0-1.1.12.i486
downgrade of zypper-1.11.22-1.10.2.i486 to zypper-1.8.3-1.1.9.i486
downgrade of libsolv-tools-0.6.8-1.7.2.i486 to libsolv-tools-0.1.0-1.1.12.i486
Solution 2: do not install mic-0.14+jolla.20160320120438.bb6c347-1.3.1.noarch
Solution 3: break mic-0.14+jolla.20160320120438.bb6c347-1.3.1.noarch by ignoring some of its dependencies
Choose from above solutions by number or cancel [1/2/3/c] (c):
MerSDK user@build-box-r7plus-cm13:~$ sudo zypper in scratchbox2
Loading repository data...
Reading installed packages...
Resolving package dependencies...
Problem: sdk-sb2-config-0.66-1.5.1.noarch requires scratchbox2 = 2.3.90, but this requirement cannot be provided
Solution 1: downgrade of sdk-sb2-config-0.66-1.5.1.noarch to sdk-sb2-config-0.10-1.1.3.noarch
Solution 2: do not install scratchbox2-2.3.90+git4-1.13.1.i486
Solution 3: break sdk-sb2-config-0.66-1.5.1.noarch by ignoring some of its dependencies
Choose from above solutions by number or cancel [1/2/3/c] (c):
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.